<ion-header>
  <ion-toolbar>

    <ion-buttons slot="start">
      <ion-back-button defaultHref="/actors"></ion-back-button>
    </ion-buttons>
    
    <ion-title>Nuevo Actor</ion-title>
  </ion-toolbar>
</ion-header>

<ion-content class="ion-padding">
  <form [formGroup]="actorForm" (submit)="submitActorForm()">
    <ion-item>
      <ion-label position="stacked">Nombre</ion-label>
      <ion-input formControlName="first_name" type="text" placeholder="Nombre"> </ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Apellidos</ion-label>
      <ion-input formControlName="last_name" type="text" placeholder="Apellidos"> </ion-input>
    </ion-item>
    <ion-item>
      <ion-label>Gender</ion-label>
      <ion-select formControlName="gender" placeholder="Select gender">
        <ion-select-option value="female">Female</ion-select-option>
        <ion-select-option value="male">Male</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Ciudad de nacimiento</ion-label>
      <ion-input formControlName="bornCity" type="text" placeholder="Ciudad de nacimiento"> </ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Cumpleaños</ion-label>
      <ion-input formControlName="birthdate" placeholder="dd/mm/aaaa"> </ion-input>
    </ion-item>
    <ion-item>
      <ion-label position="stacked">Img (url)</ion-label>
      <ion-input formControlName="img" type="url" placeholder="Img (url)"> </ion-input>
    </ion-item>
    <div class="ion-text-right">
      <ion-button color="light" type="button" (click)="resetForm()">Resetear</ion-button>
      <ion-button [disabled]="actorForm.invalid" color="primary" type="submit">Enviar</ion-button>
    </div>
  </form>
</ion-content>